Get all members and pending invitations for a workspace.
curl --request GET \
--url https://app.mavera.io/api/v1/workspaces/{id}/members \
--header 'Authorization: Bearer <token>'{
"object": "list",
"workspace_id": "<string>",
"data": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"pending_invitations": [
{
"id": "<string>",
"object": "workspace.invitation",
"workspace_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "pending",
"invited_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_members": 123,
"total_pending": 123
}Documentation Index
Fetch the complete documentation index at: https://docs.mavera.io/llms.txt
Use this file to discover all available pages before exploring further.
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Workspace ID
Filter by member role
owner, manager, analyst, viewer, editor, creative_specialist, client_viewer, department_admin Search by email
Maximum number of results (default 50, max 100)
1 <= x <= 100Cursor for pagination
Include pending invitations (default true)
List of members and invitations
list Show child attributes
Whether there are more results available
Cursor to use for fetching the next page
List of pending invitations (when include_pending=true)
Show child attributes
Total members including owner
Total pending invitations
curl --request GET \
--url https://app.mavera.io/api/v1/workspaces/{id}/members \
--header 'Authorization: Bearer <token>'{
"object": "list",
"workspace_id": "<string>",
"data": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>",
"pending_invitations": [
{
"id": "<string>",
"object": "workspace.invitation",
"workspace_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "pending",
"invited_by": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total_members": 123,
"total_pending": 123
}